searchNodes=[{"ref":"TomlConfigProvider.html","title":"TomlConfigProvider","type":"module","doc":"A dead-simple config provider module that plugs into Elixir 1.9 release config. It is meant as a replacement for Toml.Provider, which only works with Distillery."},{"ref":"TomlConfigProvider.html#init/1","title":"TomlConfigProvider.init/1","type":"function","doc":"Invoked when initializing a config provider. A config provider is typically initialized on the machine where the system is assembled and not on the target machine. The c:init/1 callback is useful to verify the arguments given to the provider and prepare the state that will be given to c:load/2. Furthermore, because the state returned by c:init/1 can be written to text-based config files, it should be restricted only to simple data types, such as integers, strings, atoms, tuples, maps, and lists. Entries such as PIDs, references, and functions cannot be serialized. Callback implementation for Config.Provider.init/1."},{"ref":"TomlConfigProvider.html#load/2","title":"TomlConfigProvider.load/2","type":"function","doc":"Loads configuration (typically during system boot). It receives the current config and the state returned by c:init/1. Then you typically read the extra configuration from an external source and merge it into the received config. Merging should be done with Config.Reader.merge/2, as it performs deep merge. It should return the updated config. Note that c:load/2 is typically invoked very early in the boot process, therefore if you need to use an application in the provider, it is your responsibility to start it. Callback implementation for Config.Provider.load/2."},{"ref":"TomlConfigProvider.html#transform/1","title":"TomlConfigProvider.transform/1","type":"function","doc":"BEAM configuration expects nested keyword lists, therefore we recursively convert each nested map into keyword lists."},{"ref":"readme.html","title":"TomlConfigProvider","type":"extras","doc":"TomlConfigProvider A dead-simple config provider module that plugs into Elixir 1.9 release config and parses TOML config files on startup. It is meant as a replacement for Toml.Provider, which only works with Distillery."},{"ref":"readme.html#installation","title":"TomlConfigProvider - Installation","type":"extras","doc":"Add toml_config_provider to your application&#39;s mix.exs and run mix deps.get as usual: def deps do [ # ... other dependencies {:toml_config_provider, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#configuration","title":"TomlConfigProvider - Configuration","type":"extras","doc":"Create your runtime config files as you would with toml-elixir. Put it somewhere outside of your build directory (think: /etc/myapp/config.toml): [myapp.&quot;Myapp.Repo&quot;] username = &quot;super_secret_user&quot; password = &quot;super_secret_password&quot; database = &quot;myapp_prod&quot; hostname = &quot;localhost&quot; ssl = true pool_size = 15 [myapp.&quot;MyappWeb.Endpoint&quot;] # Generate a secret_key_base using `mix phx.gen.secret` secret_key_base = &quot;foobar2000&quot; # As there is no way to differentate keyword lists and maps in TOML, # key-value pairs nested two levels deep are interpreted as maps [myapp.deeply_nested.structure] foo = &quot;bar&quot; bar = &quot;baz&quot; Add your file as a &quot;config provider&quot; inside your release config in mix.exs: def project do [ app: :myapp, version: &quot;0.1.0&quot;, elixir: &quot;~&gt; 1.8&quot;, elixirc_paths: elixirc_paths(Mix.env()), compilers: [:phoenix, :gettext] ++ Mix.compilers(), start_permanent: Mix.env() == :prod, aliases: aliases(), deps: deps(), default_release: :prod, releases: releases() ] end defp releases do [ prod: [ include_executables_for: [:unix], config_providers: [ {TomlConfigProvider, &quot;/etc/myapp/config.toml&quot;} ] ] ] end In your release, you should now have access to your configuration: iex(prod@hostname)1&gt; Application.get_env(:myapp, Myapp.Repo) [ database: &quot;myapp_prod&quot;, hostname: &quot;localhost&quot;, password: &quot;super_secret_password&quot;, pool_size: 15, ssl: true, username: &quot;super_secret_user&quot; ] These docs can be found at https://hexdocs.pm/toml_config_provider."}]